/* Shape.C: Shape nodes (public source) */

#include "Shape.H"
#include "renderer.H"

namespace xrml {

void Shape::render(void)
{
  world->renderer->begin_Shape(this);
  if (appearance) appearance->begin_render();
  if (geometry) geometry->render();
  if (appearance) appearance->end_render();
  world->renderer->end_Shape(this);
}

}  // namespace xrml
